> For the complete documentation index, see [llms.txt](https://support.thealtening.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://support.thealtening.com/api-reference/rate-limits.md).

# Rate Limits

### Rate limits and usage

* The **/generate** endpoint has a daily usage limit based on your plan (25 or 50 alts \[basic/premium] per 24 hours).
* When you hit the daily limit (timer on generator page), responses loop from the beginning of that day’s history. This means that if you exceed your daily limit you will start getting the same alts for your convenience.
* The `limit` Boolean in responses tells you if the per-day cap has been reached or not.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://support.thealtening.com/api-reference/rate-limits.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
